<?php
namespace Ak\Wp\Handler;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;
use Laminas\Diactoros\Response\HtmlResponse;
use Laminas\Diactoros\Response\RedirectResponse;

/**
 * Class Index
 *
 * @package Ak\Wp\Middleware
 */
final class Index implements MiddlewareInterface
{
    /**
     * Process an incoming server request and return a response, optionally delegating
     * response creation to a handler.
     *
     * @param ServerRequestInterface $request
     * @param RequestHandlerInterface $handler
     * @return ResponseInterface
     */
    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface
    {
        define('WP_USE_THEMES', true);

        if (!is_blog_installed()) {
            return new RedirectResponse(
                $request->getUri()->withPath('/install')
            );
        }

        ob_start();
        wp();
        include ABSPATH . WPINC . '/template-loader.php';
        $content = ob_get_clean();

        return new HtmlResponse($content);
    }
}
