<?php
namespace Ak\Wp\Table;

use Ak\Db\TableGateway\TableGateway;
use Doctrine\DBAL\Schema\Table;

/**
 * Class WpOptions
 *
 * @package Ak\Wp\Table
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp
 */
class WpOptions extends TableGateway
{
    /**
     * @param Table $table
     */
    public function createSchema(Table $table): void
    {
        $table->addColumn('option_id', 'bigint', [
            'unsigned' => true,
            'autoincrement' => true,
        ]);

        $table->addColumn('option_name', 'string', ['length' => 191]);
        $table->addColumn('option_value', 'text');
        $table->addColumn('autoload', 'string', ['length' => 20]);

        $table->setPrimaryKey(['option_id']);
        $table->addUniqueIndex(['option_name'], 'option_name');
    }
}